diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_alter_extension_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_alter_extension_schema.sql
new file mode 100644
index 0000000..11cb0a2
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_alter_extension_schema.sql
@@ -0,0 +1,2 @@
+ALTER EXTENSION sslinfo
+    SET SCHEMA public;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_alter_extension_version.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_alter_extension_version.sql
new file mode 100644
index 0000000..e7cdd68
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_alter_extension_version.sql
@@ -0,0 +1,2 @@
+ALTER EXTENSION citext
+    UPDATE TO "1.1";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_all_options.sql
new file mode 100644
index 0000000..108c1e1
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_all_options.sql
@@ -0,0 +1,3 @@
+CREATE EXTENSION sslinfo
+    SCHEMA test_extension_schema
+    VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_default_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_default_schema.sql
new file mode 100644
index 0000000..9708226
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_default_schema.sql
@@ -0,0 +1,2 @@
+CREATE EXTENSION citext
+    VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/tests.json b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/tests.json
index 2ca0917..c411799 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/tests.json
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/tests.json
@@ -5,23 +5,27 @@
       "name": "Create Extension with all options",
       "endpoint": "NODE-extension.obj",
       "sql_endpoint": "NODE-extension.sql_id",
+      "msql_endpoint": "NODE-extension.msql",
       "data": {
         "name": "sslinfo",
         "schema": "test_extension_schema",
         "version": "1.0"
       },
       "expected_sql_file": "create_extension_with_all_options.sql",
+      "expected_msql_file": "msql_create_extension_with_all_options.sql",
       "precondition_sql": "select count(e1.name) \nfrom pg_available_extensions e1, pg_available_extension_versions e2\nwhere e1.name = e2.name and e1.name='sslinfo' and e2.version='1.0';"
     },
     {
       "type": "alter",
-      "name": "Alter Extension version",
+      "name": "Alter Extension schema",
       "endpoint": "NODE-extension.obj_id",
       "sql_endpoint": "NODE-extension.sql_id",
+      "msql_endpoint": "NODE-extension.msql_id",
       "data": {
         "schema": "public"
       },
       "expected_sql_file": "alter_extension_schema.sql",
+      "expected_msql_file": "msql_alter_extension_schema.sql",
       "precondition_sql": "select count(e1.name) \nfrom pg_available_extensions e1, pg_available_extension_versions e2\nwhere e1.name = e2.name and e1.name='sslinfo' and e2.version='1.0';"
     },
     {
@@ -36,11 +40,13 @@
       "name": "Create Extension with default schema",
       "endpoint": "NODE-extension.obj",
       "sql_endpoint": "NODE-extension.sql_id",
+      "msql_endpoint": "NODE-extension.msql",
       "data": {
         "name": "citext",
         "version": "1.0"
       },
       "expected_sql_file": "create_extension_with_default_schema.sql",
+      "expected_msql_file": "msql_create_extension_with_default_schema.sql",
       "precondition_sql": "select count(e1.name) \nfrom pg_available_extensions e1, pg_available_extension_versions e2\nwhere e1.name = e2.name and e1.name='citext' and e2.version='1.0';"
     },
     {
@@ -48,10 +54,12 @@
       "name": "Alter Extension version",
       "endpoint": "NODE-extension.obj_id",
       "sql_endpoint": "NODE-extension.sql_id",
+      "msql_endpoint": "NODE-extension.msql_id",
       "data": {
         "version": "1.1"
       },
       "expected_sql_file": "alter_extension_version.sql",
+      "expected_msql_file": "msql_alter_extension_version.sql",
       "precondition_sql": "select count(e1.name) \nfrom pg_available_extensions e1, pg_available_extension_versions e2\nwhere e1.name = e2.name and e1.name='citext' and e2.version='1.1';"
     },
     {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/msql_alter_extension_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/msql_alter_extension_schema.sql
new file mode 100644
index 0000000..11cb0a2
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/msql_alter_extension_schema.sql
@@ -0,0 +1,2 @@
+ALTER EXTENSION sslinfo
+    SET SCHEMA public;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/msql_create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/msql_create_extension_with_all_options.sql
new file mode 100644
index 0000000..108c1e1
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/msql_create_extension_with_all_options.sql
@@ -0,0 +1,3 @@
+CREATE EXTENSION sslinfo
+    SCHEMA test_extension_schema
+    VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/tests.json b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/tests.json
index db8452a..b530049 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/tests.json
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/tests.json
@@ -5,23 +5,27 @@
       "name": "Create Extension with all options",
       "endpoint": "NODE-extension.obj",
       "sql_endpoint": "NODE-extension.sql_id",
+      "msql_endpoint": "NODE-extension.msql",
       "data": {
         "name": "sslinfo",
         "schema": "test_extension_schema",
         "version": "1.0"
       },
       "expected_sql_file": "create_extension_with_all_options.sql",
+      "expected_msql_file": "msql_create_extension_with_all_options.sql",
       "precondition_sql": "select count(e1.name) \nfrom pg_available_extensions e1, pg_available_extension_versions e2\nwhere e1.name = e2.name and e1.name='sslinfo' and e2.version='1.0';"
     },
     {
       "type": "alter",
-      "name": "Alter Extension version",
+      "name": "Alter Extension schema",
       "endpoint": "NODE-extension.obj_id",
       "sql_endpoint": "NODE-extension.sql_id",
+      "msql_endpoint": "NODE-extension.msql_id",
       "data": {
         "schema": "public"
       },
       "expected_sql_file": "alter_extension_schema.sql",
+      "expected_msql_file": "msql_alter_extension_schema.sql",
       "precondition_sql": "select count(e1.name) \nfrom pg_available_extensions e1, pg_available_extension_versions e2\nwhere e1.name = e2.name and e1.name='sslinfo' and e2.version='1.0';"
     },
     {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_alter_extension_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_alter_extension_schema.sql
new file mode 100644
index 0000000..11cb0a2
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_alter_extension_schema.sql
@@ -0,0 +1,2 @@
+ALTER EXTENSION sslinfo
+    SET SCHEMA public;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_alter_extension_version.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_alter_extension_version.sql
new file mode 100644
index 0000000..c32116a
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_alter_extension_version.sql
@@ -0,0 +1,2 @@
+ALTER EXTENSION adminpack
+    UPDATE TO "1.1";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_all_options.sql
new file mode 100644
index 0000000..68217d7
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_all_options.sql
@@ -0,0 +1,3 @@
+CREATE EXTENSION sslinfo
+    SCHEMA test_extension_schema
+    VERSION "1.2";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_default_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_default_schema.sql
new file mode 100644
index 0000000..02c109f
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_default_schema.sql
@@ -0,0 +1,2 @@
+CREATE EXTENSION adminpack
+    VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/tests.json b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/tests.json
index 44fb0ec..9a13fb9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/tests.json
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/tests.json
@@ -5,23 +5,27 @@
       "name": "Create Extension with all options",
       "endpoint": "NODE-extension.obj",
       "sql_endpoint": "NODE-extension.sql_id",
+      "msql_endpoint": "NODE-extension.msql",
       "data": {
         "name": "sslinfo",
         "schema": "test_extension_schema",
         "version": "1.2"
       },
       "expected_sql_file": "create_extension_with_all_options.sql",
+      "expected_msql_file": "msql_create_extension_with_all_options.sql",
       "precondition_sql": "select count(e1.name) \nfrom pg_available_extensions e1, pg_available_extension_versions e2\nwhere e1.name = e2.name and e1.name='sslinfo' and e2.version='1.2';"
     },
     {
       "type": "alter",
-      "name": "Alter Extension version",
+      "name": "Alter Extension schema",
       "endpoint": "NODE-extension.obj_id",
       "sql_endpoint": "NODE-extension.sql_id",
+      "msql_endpoint": "NODE-extension.msql_id",
       "data": {
         "schema": "public"
       },
       "expected_sql_file": "alter_extension_schema.sql",
+      "expected_msql_file": "msql_alter_extension_schema.sql",
       "precondition_sql": "select count(e1.name) \nfrom pg_available_extensions e1, pg_available_extension_versions e2\nwhere e1.name = e2.name and e1.name='sslinfo' and e2.version='1.2';"
     },
     {
@@ -36,11 +40,13 @@
       "name": "Create Extension with default schema",
       "endpoint": "NODE-extension.obj",
       "sql_endpoint": "NODE-extension.sql_id",
+      "msql_endpoint": "NODE-extension.msql",
       "data": {
         "name": "adminpack",
         "version": "1.0"
       },
       "expected_sql_file": "create_extension_with_default_schema.sql",
+      "expected_msql_file": "msql_create_extension_with_default_schema.sql",
       "precondition_sql": "select count(e1.name) \nfrom pg_available_extensions e1, pg_available_extension_versions e2\nwhere e1.name = e2.name and e1.name='adminpack' and e2.version='1.0';"
     },
     {
@@ -48,10 +54,12 @@
       "name": "Alter Extension version",
       "endpoint": "NODE-extension.obj_id",
       "sql_endpoint": "NODE-extension.sql_id",
+      "msql_endpoint": "NODE-extension.msql_id",
       "data": {
         "version": "1.1"
       },
       "expected_sql_file": "alter_extension_version.sql",
+      "expected_msql_file": "msql_alter_extension_version.sql",
       "precondition_sql": "select count(e1.name) \nfrom pg_available_extensions e1, pg_available_extension_versions e2\nwhere e1.name = e2.name and e1.name='adminpack' and e2.version='1.0';"
     },
     {
